package com.jianshui.queue.consumer;

import com.jianshui.queue.dto.RedisQueueMessage;

/**
 * redis队列消费者接口
 *
 * @DateTime: 2020/2/27 4:45 下午
 */
public interface RedisQueueConsumer {

    // 获取队列名称
    public String getQueueName();

    // 获取监听器返回的消息
    public void consume(RedisQueueMessage redisQueueMessage);

    // 获取监听器返回的错误消息，只有当消息的retry为0时候，再出异常，才会进入error
    public void error(RedisQueueMessage redisQueueMessage);
}